Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## helliker.id3
Class ID3v2Frames

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--helliker.id3.ID3v2Frames

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class ID3v2Frames
extends java.util.HashMap

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`static java.lang.String` | `ACCOMPANIMENT`
`static java.lang.String` | `ALBUM`
`static java.lang.String` | `ALBUM_SORT_ORDER`
`static java.lang.String` | `ATTACHED_PICTURE`
`static java.lang.String` | `AUDIO_ENCRYPTION`
`static java.lang.String` | `AUDIO_SEEK_POINT_INDEX`
`static java.lang.String` | `BPM`
`static java.lang.String` | `COMMENTS`
`static java.lang.String` | `COMMERCIAL_FRAME`
`static java.lang.String` | `COMMERCIAL_INFO_URL`
`static java.lang.String` | `COMPOSER`
`static java.lang.String` | `CONDUCTOR`
`static java.lang.String` | `CONTENT_GROUP`
`static java.lang.String` | `CONTENT_TYPE`
`static java.lang.String` | `COPYRIGHT_INFO_URL`
`static java.lang.String` | `COPYRIGHT_MESSAGE`
`static java.lang.String` | `ENCODED_BY`
`static java.lang.String` | `ENCODING_TIME`
`static java.lang.String` | `ENCRYPTION_METHOD_REGISTRATION`
`static java.lang.String` | `EQUALISATION`
`static java.lang.String` | `EVENT_TIMING_CODES`
`static java.lang.String` | `FILE_OWNER`
`static java.lang.String` | `FILE_TYPE`
`static java.lang.String` | `GENERAL_ENCAPSULATED_OBJECT`
`static java.lang.String` | `GROUP_IDENTIFICATION_REGISTRATION`
`static java.lang.String` | `INITIAL_KEY`
`static java.lang.String` | `INTERNET_RADIO_STATION_NAME`
`static java.lang.String` | `INTERNET_RADIO_STATION_OWNER`
`static java.lang.String` | `INVOLVED_PEOPLE`
`static java.lang.String` | `ISRC`
`static java.lang.String` | `LANGUAGE`
`static java.lang.String` | `LEAD_PERFORMERS`
`static java.lang.String` | `LENGTH`
`static java.lang.String` | `LINKED_INFORMATION`
`static java.lang.String` | `LYRICIST`
`static java.lang.String` | `MEDIA_TYPE`
`static java.lang.String` | `MOOD`
`static java.lang.String` | `MPEG_LOCATION_LOOKUP_TABLE`
`static java.lang.String` | `MUSIC_CD_IDENTIFIER`
`static java.lang.String` | `MUSICIAN_CREDITS`
`static java.lang.String` | `OFFICIAL_ARTIST_WEBPAGE_URL`
`static java.lang.String` | `OFFICIAL_FILE_WEBPAGE_URL`
`static java.lang.String` | `OFFICIAL_INTERNET_RADIO_WEBPAGE_URL`
`static java.lang.String` | `OFFICIAL_PUBLISHER_WEBPAGE_URL`
`static java.lang.String` | `OFFICIAL_SOURCE_WEBPAGE_URL`
`static java.lang.String` | `ORIGINAL_ALBUM`
`static java.lang.String` | `ORIGINAL_ARTIST`
`static java.lang.String` | `ORIGINAL_FILENAME`
`static java.lang.String` | `ORIGINAL_LYRICIST`
`static java.lang.String` | `ORIGINAL_RELEASE_TIME`
`static java.lang.String` | `OWNERSHIP_FRAME`
`static java.lang.String` | `PART_OF_SET`
`static java.lang.String` | `PAYMENT_URL`
`static java.lang.String` | `PERFORMER_SORT_ORDER`
`static java.lang.String` | `PLAY_COUNTER`
`static java.lang.String` | `PLAYLIST_DELAY`
`static java.lang.String` | `POPULARIMETER`
`static java.lang.String` | `POSITION_SYNCHRONISATION_FRAME`
`static java.lang.String` | `PRIVATE_FRAME`
`static java.lang.String` | `PRODUCED_NOTICE`
`static java.lang.String` | `PUBLISHER`
`static java.lang.String` | `RECOMMENDED_BUFFER_SIZE`
`static java.lang.String` | `RECORDING_TIME`
`static java.lang.String` | `RELATIVE_VOLUME_ADJUSTMENT`
`static java.lang.String` | `RELEASE_TIME`
`static java.lang.String` | `REMIXED_BY`
`static java.lang.String` | `REVERB`
`static java.lang.String` | `SEEK_FRAME`
`static java.lang.String` | `SET_SUBTITLE`
`static java.lang.String` | `SIGNATURE_FRAME`
`static java.lang.String` | `SOFTWARE_HARDWARE_SETTINGS`
`static java.lang.String` | `SUBTITLE`
`static java.lang.String` | `SYNCHRONISED_LYRIC`
`static java.lang.String` | `SYNCHRONISED_TEMPO_CODES`
`static java.lang.String` | `TAGGING_TIME`
`static java.lang.String` | `TERMS_OF_USE`
`static java.lang.String` | `TITLE`
`static java.lang.String` | `TITLE_SORT_ORDER`
`static java.lang.String` | `TRACK_NUMBER`
`static java.lang.String` | `UNIQUE_FILE_IDENTIFIER`
`static java.lang.String` | `UNSYNCHRONISED_LYRIC_TRANSCRIPTION`
`static java.lang.String` | `USER_DEFINED_TEXT_INFO`
`static java.lang.String` | `USER_DEFINED_URL`
`static java.lang.String` | `YEAR`

Constructor Summary
`ID3v2Frames()`

Method Summary
`byte[]` | `getBytes()` Return an array bytes containing all frames contained in this object.
`int` | `getLength()` Returns the length in bytes of all the frames contained in this object.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ALBUM

    public static java.lang.String ALBUM

### BPM

    public static java.lang.String BPM

### COMPOSER

    public static java.lang.String COMPOSER

### CONTENT_TYPE

    public static java.lang.String CONTENT_TYPE

### COPYRIGHT_MESSAGE

    public static java.lang.String COPYRIGHT_MESSAGE

### ENCODING_TIME

    public static java.lang.String ENCODING_TIME

### PLAYLIST_DELAY

    public static java.lang.String PLAYLIST_DELAY

### ORIGINAL_RELEASE_TIME

    public static java.lang.String ORIGINAL_RELEASE_TIME

### RECORDING_TIME

    public static java.lang.String RECORDING_TIME

### RELEASE_TIME

    public static java.lang.String RELEASE_TIME

### TAGGING_TIME

    public static java.lang.String TAGGING_TIME

### ENCODED_BY

    public static java.lang.String ENCODED_BY

### LYRICIST

    public static java.lang.String LYRICIST

### FILE_TYPE

    public static java.lang.String FILE_TYPE

### INVOLVED_PEOPLE

    public static java.lang.String INVOLVED_PEOPLE

### CONTENT_GROUP

    public static java.lang.String CONTENT_GROUP

### TITLE

    public static java.lang.String TITLE

### SUBTITLE

    public static java.lang.String SUBTITLE

### INITIAL_KEY

    public static java.lang.String INITIAL_KEY

### LANGUAGE

    public static java.lang.String LANGUAGE

### LENGTH

    public static java.lang.String LENGTH

### MUSICIAN_CREDITS

    public static java.lang.String MUSICIAN_CREDITS

### MEDIA_TYPE

    public static java.lang.String MEDIA_TYPE

### MOOD

    public static java.lang.String MOOD

### ORIGINAL_ALBUM

    public static java.lang.String ORIGINAL_ALBUM

### ORIGINAL_FILENAME

    public static java.lang.String ORIGINAL_FILENAME

### ORIGINAL_LYRICIST

    public static java.lang.String ORIGINAL_LYRICIST

### ORIGINAL_ARTIST

    public static java.lang.String ORIGINAL_ARTIST

### FILE_OWNER

    public static java.lang.String FILE_OWNER

### LEAD_PERFORMERS

    public static java.lang.String LEAD_PERFORMERS

### ACCOMPANIMENT

    public static java.lang.String ACCOMPANIMENT

### CONDUCTOR

    public static java.lang.String CONDUCTOR

### REMIXED_BY

    public static java.lang.String REMIXED_BY

### PART_OF_SET

    public static java.lang.String PART_OF_SET

### PRODUCED_NOTICE

    public static java.lang.String PRODUCED_NOTICE

### PUBLISHER

    public static java.lang.String PUBLISHER

### TRACK_NUMBER

    public static java.lang.String TRACK_NUMBER

### INTERNET_RADIO_STATION_NAME

    public static java.lang.String INTERNET_RADIO_STATION_NAME

### INTERNET_RADIO_STATION_OWNER

    public static java.lang.String INTERNET_RADIO_STATION_OWNER

### ALBUM_SORT_ORDER

    public static java.lang.String ALBUM_SORT_ORDER

### PERFORMER_SORT_ORDER

    public static java.lang.String PERFORMER_SORT_ORDER

### TITLE_SORT_ORDER

    public static java.lang.String TITLE_SORT_ORDER

### ISRC

    public static java.lang.String ISRC

### SOFTWARE_HARDWARE_SETTINGS

    public static java.lang.String SOFTWARE_HARDWARE_SETTINGS

### SET_SUBTITLE

    public static java.lang.String SET_SUBTITLE

### USER_DEFINED_TEXT_INFO

    public static java.lang.String USER_DEFINED_TEXT_INFO

### YEAR

    public static java.lang.String YEAR

### COMMERCIAL_INFO_URL

    public static java.lang.String COMMERCIAL_INFO_URL

### COPYRIGHT_INFO_URL

    public static java.lang.String COPYRIGHT_INFO_URL

### OFFICIAL_FILE_WEBPAGE_URL

    public static java.lang.String OFFICIAL_FILE_WEBPAGE_URL

### OFFICIAL_ARTIST_WEBPAGE_URL

    public static java.lang.String OFFICIAL_ARTIST_WEBPAGE_URL

### OFFICIAL_SOURCE_WEBPAGE_URL

    public static java.lang.String OFFICIAL_SOURCE_WEBPAGE_URL

### OFFICIAL_INTERNET_RADIO_WEBPAGE_URL

    public static java.lang.String OFFICIAL_INTERNET_RADIO_WEBPAGE_URL

### PAYMENT_URL

    public static java.lang.String PAYMENT_URL

### OFFICIAL_PUBLISHER_WEBPAGE_URL

    public static java.lang.String OFFICIAL_PUBLISHER_WEBPAGE_URL

### USER_DEFINED_URL

    public static java.lang.String USER_DEFINED_URL

### AUDIO_ENCRYPTION

    public static java.lang.String AUDIO_ENCRYPTION

### ATTACHED_PICTURE

    public static java.lang.String ATTACHED_PICTURE

### AUDIO_SEEK_POINT_INDEX

    public static java.lang.String AUDIO_SEEK_POINT_INDEX

### COMMENTS

    public static java.lang.String COMMENTS

### COMMERCIAL_FRAME

    public static java.lang.String COMMERCIAL_FRAME

### ENCRYPTION_METHOD_REGISTRATION

    public static java.lang.String ENCRYPTION_METHOD_REGISTRATION

### EQUALISATION

    public static java.lang.String EQUALISATION

### EVENT_TIMING_CODES

    public static java.lang.String EVENT_TIMING_CODES

### GENERAL_ENCAPSULATED_OBJECT

    public static java.lang.String GENERAL_ENCAPSULATED_OBJECT

### GROUP_IDENTIFICATION_REGISTRATION

    public static java.lang.String GROUP_IDENTIFICATION_REGISTRATION

### LINKED_INFORMATION

    public static java.lang.String LINKED_INFORMATION

### MUSIC_CD_IDENTIFIER

    public static java.lang.String MUSIC_CD_IDENTIFIER

### MPEG_LOCATION_LOOKUP_TABLE

    public static java.lang.String MPEG_LOCATION_LOOKUP_TABLE

### OWNERSHIP_FRAME

    public static java.lang.String OWNERSHIP_FRAME

### PRIVATE_FRAME

    public static java.lang.String PRIVATE_FRAME

### PLAY_COUNTER

    public static java.lang.String PLAY_COUNTER

### POPULARIMETER

    public static java.lang.String POPULARIMETER

### POSITION_SYNCHRONISATION_FRAME

    public static java.lang.String POSITION_SYNCHRONISATION_FRAME

### RECOMMENDED_BUFFER_SIZE

    public static java.lang.String RECOMMENDED_BUFFER_SIZE

### RELATIVE_VOLUME_ADJUSTMENT

    public static java.lang.String RELATIVE_VOLUME_ADJUSTMENT

### REVERB

    public static java.lang.String REVERB

### SEEK_FRAME

    public static java.lang.String SEEK_FRAME

### SIGNATURE_FRAME

    public static java.lang.String SIGNATURE_FRAME

### SYNCHRONISED_LYRIC

    public static java.lang.String SYNCHRONISED_LYRIC

### SYNCHRONISED_TEMPO_CODES

    public static java.lang.String SYNCHRONISED_TEMPO_CODES

### UNIQUE_FILE_IDENTIFIER

    public static java.lang.String UNIQUE_FILE_IDENTIFIER

### TERMS_OF_USE

    public static java.lang.String TERMS_OF_USE

### UNSYNCHRONISED_LYRIC_TRANSCRIPTION

    public static java.lang.String UNSYNCHRONISED_LYRIC_TRANSCRIPTION

Constructor Detail

### ID3v2Frames

    public ID3v2Frames()

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object. Returns the toStrings of all the frames contained within seperated by line breaks.

  Overrides:
    `toString` in class `java.util.AbstractMap`
  Returns:
    a string representation of this object

### getLength

    public int getLength()

  Returns the length in bytes of all the frames contained in this object. Empty frames are dropped from this calculation.

  Returns:
    the length of all the frames contained in this object.

### getBytes

    public byte[] getBytes()

  Return an array bytes containing all frames contained in this object. This can be used to easily write the frames to a file. Empty frames are dropped to save space.

  Returns:
    an array of bytes contain all frames contained in this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD